// Header File
// Created 1/26/2004; 17.21.58

#ifndef _UTILS_H_
#define _UTILS_H_

#include <tigcclib.h>
#include "wall.h"
#include "player.h"
#include "globals.h"
#include "graphics.h"

typedef struct {
	
	char data[MAX_SIZE][MAX_SIZE];
	
} Grid;

void isWinPossible(char *done, Grid *grid, const short *size, const Wall *walls, const short *numWalls, const short startR, const short startC, const char *endR, const char *endC);
int movePlayer(Player *player, char numPlayers, short index, short size, Wall *walls, int numWalls, char moveR, char moveC);
short mainmenu(short *numPlayers);
short optionsmenu(short *boardsize);

#endif